#!/bin/sh

# Rebuilds a tcprules-style cdb file from the given source file
# Call it as: tcprebuild qmail-smtpd


THEFILE="$1"
[ -z "$THEFILE" ] && echo "Usage: tcprebuild <tcprules file to parse>" && exit 1


if [ ! -r "$THEFILE" ]; then
   
  TCPRULESDIR="/etc/tcprules.d"
  [ ! -d "$TCPRULESDIR" ] && echo "$THEFILE doesn't exist and $TCPRULESDIR isn't a readable directory" && exit 1

  if [ -r "$TCPRULESDIR/$THEFILE" ]; then
    THEFILE="$TCPRULESDIR/$THEFILE"
  elif [ -r "$TCPRULESDIR/qmail-$THEFILE" ]; then
    THEFILE="$TCPRULESDIR/qmail-$THEFILE"
  elif [ -r "$TCPRULESDIR/${THEFILE}d" ]; then
    THEFILE="$TCPRULESDIR/${THEFILE}d"
  elif [ -r "$TCPRULESDIR/qmail-${THEFILE}d" ]; then
    THEFILE="$TCPRULESDIR/qmail-${THEFILE}d"
  else
    echo "$0: File $THEFILE not found"
    exit 1
  fi

fi

exec /usr/sbin/tcprules "$THEFILE.cdb" "$THEFILE.tmp.$$" < "$THEFILE"
